%define pre beta14
%define filename xmms-sid-%version%pre-with-bmpsid-0.01
Summary: XMMS input plugin for C64 SID files
Name: beep-media-player-sid
Version: 0.8.0
Release: 0.%pre.1mdk
Source: http://www.develia.org/files/%filename.tar.bz2
License: GPL
Group: Sound
Buildroot: %{_tmppath}/%{name}-%{version}.build
URL: http://www.develia.org/projects.php?p=bmpports
Requires: beep-media-player
BuildRequires: sidplay-devel
BuildRequires: sidplay2-devel
BuildRequires: libbeep-media-player-devel

%description
BMP-SID is a plugin for the Beep Media Player which provides
support for playing the so-called "SID tunes", which are music
from old Commodore computer programs like games, demos, etc.

For the actual playing, it uses the excellent libsidplay (1|2)
emulator engine that emulates 6510 CPU and 6581/8580 Sound Interface
Device (SID) chip.

BMP-SID is a port of XMMS-SID.

%prep
%setup -q -n %filename

%build
%configure2_5x --enable-bmpsid
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/bmp/Input/libbmpsid.la
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="soundwrapper %_bindir/beep-media-player" \
	needs="X11" \
	section=".hidden" \
	icon="beep-media-player.png" \
	mimetypes="audio/prs.sid" \
	title="Beep Media Player (SID plugin)" \
	longtitle="Multimedia Player"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README* TODO
%{_libdir}/bmp/Input/libbmpsid.so
%_menudir/%name

%changelog
* Tue May 31 2005 Gtz Waschk <waschk@mandriva.org> 0.8.0-0.beta14.1mdk
- initial package based on the xmms-sid spec

* Fri Feb 11 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta14.1mdk
- reenable libtoolize
- new release

* Thu Jul 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta10.3mdk
- add menu entry

* Sun Jun  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta10.2mdk
- rebuild

* Thu Mar 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta10.1mdk
- new version

* Fri Feb 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta9.1mdk
- new version

* Sun Jan 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta8.1mdk
- new version

* Mon Jan 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta7.1mdk
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta5.3mdk
- fix buildrequires

* Tue Oct  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta5.2mdk
- fix buildrequires

* Mon Oct  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta5.1mdk
- initial Mandrake package
